Search Results for

Show / Hide Table of Contents

# Class MethodAccessor<T, TDelegate>

A type containing utilities for calling non-public methods on an object.

##### Inheritance

Object
MethodAccessor<T, TDelegate>

##### Inherited Members

Object.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: IPA.Utilities

###### Assembly: IPA.Loader.dll

##### Syntax

    public static class MethodAccessor<T, TDelegate>
        where TDelegate : Delegate

##### Type Parameters

Name | Description
--- | ---
T | the type to find the methods on
TDelegate | the delegate type to create, and to use as a signature to search for

### Methods

| Improve this Doc View Source

#### GetDelegate(String)

Gets a delegate to the named method with the signature specified by `TDelegate`.

##### Declaration

    public static TDelegate GetDelegate(string name)

##### Parameters

Type | Name | Description
--- | --- | ---
String | name | the name of the method to get

##### Returns

Type | Description
--- | ---
TDelegate | a delegate that can call the specified method

##### Exceptions

Type | Condition
--- | ---
MissingMethodException | if `name` does not represent the name of a method with the given signature
ArgumentException | if the method found returns a type incompatable with the return type of `TDelegate`